return {
	"MeanderingProgrammer/render-markdown.nvim",
	opts = {},
	dependencies = { "nvim-treesitter/nvim-treesitter" },
	config = function()
		require("render-markdown").setup({
			enabled = true,
			completions = { lsp = { enabled = true } },
			heading = {
				width = "full",
			},
			bullet = {
				right_pad = 1,
			},
			checkbox = {
				enabled = true,
				position = "inline",
				unchecked = {
					icon = "👀",
					highlight = "RenderMarkdownUnchecked",
				},
				checked = {
					icon = "✅",
					highlight = "RenderMarkdownChecked",
				},
				custom = {
					doing = { raw = "[/]", rendered = "🚧", highlight = "RenderMarkdownTodo" },
					cancelled = { raw = "[~]", rendered = "❌", highlight = "RenderMarkdownTodo" },
				},
			},
			callout = {
				cite = { raw = "[!CITE]", rendered = "󱆨 Cite", highlight = "RenderMarkdownInfo" },
			},
			html = {
				comment = {
					conceal = false,
				},
			},
			only_render_image_at_cursor = true,
		})
		vim.keymap.set("n", "<leader>rm", ":RenderMarkdown toggle<CR>", { silent = true })
	end,
}
